Empfangen eines Fehler beim Versuch Migrationsbefehl in Paket-Manager-Konsole ausführen hinzufügen

stimmen
32

Ich brauche einen anderen Satz von Augen, dies zu betrachten. Der folgende Code wird in Visual Studio laufen und wenn es im Leerlauf ist die grüne Sidebar zeigt die Syntax korrekt ist.

Allerdings, wenn ich eine Add-Migration in der Paket-Manager-Konsole ausführen reagiert es mit dem folgenden Fehler.

„Invalid Objekt übergeben, ':' oder '}' erwartet (817).

Es scheint Problem mit meiner Abhängigkeit Implementierung zu nehmen, aber ich kann keine Instanz einer fehlenden Klammer oder Komma finden.

Wenn Sie es finden werde ich Ihnen gerne Ihre Antwort mit abstimmen. Danke!

{
  buildOptions: {
    emitEntryPoint: true,
    preserveCompilationContext: true
  },
  dependencies: {
    Microsoft.NETCore.App: {
      version: 1.0.1,
      type: platform
    },
    Microsoft.AspNetCore.Diagnostics: 1.0.0,
    Microsoft.Extensions.Configuration.FileExtensions: 1.0.0,
    Microsoft.AspNetCore.Server.IISIntegration: 1.0.0,
    Microsoft.AspNetCore.Server.Kestrel: 1.0.1,
    Microsoft.Extensions.Logging.Console: 1.0.0,
    Microsoft.Extensions.Configuration.Json: 1.0.0,
    Microsoft.AspNetCore.StaticFiles: 1.0.0,
    Microsoft.AspNetCore.Mvc: 1.0.0,
    Microsoft.EntityFrameworkCore.SqlServer: 1.1.0,
    Microsoft.EntityFrameworkCore.Tools: 1.1.0-preview4-final,
    Microsoft.AspNetCore.Identity: 1.0.0 //New package required for added functionality
  },
  frameworks: {
    netcoreapp1.0: {
      imports: [
        dotnet5.6,
        portable-net45+win8
      ]
    }
  },
  publishOptions: {
    include: [
      wwwroot,
      web.config
    ]
  },
  runtimeOptions: {
    configProperties: {
      System.GC.Server: true
    }
  },
  scripts: {
    postpublish: [ dotnet publish-iis --publish-folder %publish:OutputPath% --framework %publish:FullTargetFramework% ]
  },
  tools: {
    Microsoft.AspNetCore.Server.IISIntegration.Tools: 1.0.0-preview2-final,
    Microsoft.EntityFrameworkCore.Tools: 1.1.0-preview4-final
  }
}
Veröffentlicht am 22/11/2016 um 17:49
vom benutzer
In anderen Sprachen...                            


1 antworten

stimmen
6

Das einzige Problem, das ich auf dem json erkennen ist der Kommentar, den Sie hier haben

//New package required for added functionality

Die Kommentare sind auf einer json Struktur nicht gültig so wahrscheinlich Fehler, dass in Zusammenhang steht.

Beantwortet am 22/11/2016 um 17:54
quelle vom benutzer

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more